Environment Provisioning - Link Dataverse
Links a Dataverse instance to an existing environment.
PATCH https://api.powerplatform.com/environmentmanagement/provisioning/environments/{environmentId}/link?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string |
The ID of the environment to link Dataverse to. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
Media Types: "application/json", "text/json", "application/*+json"
| Name | Type | Description |
|---|---|---|
| baseLanguageCode |
integer (int32) |
The base language code (for example, 1033 for English). |
| currency |
Currency settings for an environment. |
|
| domainName |
string |
The domain name. |
| securityGroupId |
string |
The security group ID. |
| templateMetadata |
object |
A JSON object payload customized for the selected templates. |
| templates |
string[] |
The templates to apply. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Accepted |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 429 Too Many Requests |
Too Many Requests |
|
| Other Status Codes |
Conflict |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Create |
Metadata for the linked Dataverse environment. |
|
Environment |
Currency settings for an environment. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
CreateEnvironmentRequestLinkedMetadata
Metadata for the linked Dataverse environment.
| Name | Type | Description |
|---|---|---|
| baseLanguageCode |
integer (int32) |
The base language code (for example, 1033 for English). |
| currency |
Currency settings for an environment. |
|
| domainName |
string |
The domain name. |
| securityGroupId |
string |
The security group ID. |
| templateMetadata |
object |
A JSON object payload customized for the selected templates. |
| templates |
string[] |
The templates to apply. |
EnvironmentRequestCurrency
Currency settings for an environment.
| Name | Type | Description |
|---|---|---|
| code |
string |
The currency code (for example, USD). |
| name |
string |
The currency name. |
| precision |
integer (int32) |
The currency precision. |
| symbol |
string |
The currency symbol. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |